libgconf2-dev_3.2.6-3ubuntu6_amd64.deb


Advertisement

Description

libgconf2-dev - GNOME configuration database system (development)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgconf2-dev_3.2.6-3ubuntu6_amd64.deb
Package name libgconf2-dev
Package version 3.2.6
Package release 3ubuntu6
Package architecture amd64
Package type deb
Category libdevel
Homepage http://projects.gnome.org/gconf/
License -
Maintainer Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Download size 89.94 KB
Installed size 966.00 KB
GConf is a configuration database system for storing application
preferences. It supports default or mandatory settings set by the
administrator, and changes to the database are instantly applied to all
running applications. It is written for the GNOME desktop but doesn't
require it.
This package contains the static libraries and header files needed to
build applications using GConf.

Alternatives

Package Version Architecture Repository
libgconf2-dev_3.2.6-3ubuntu6_i386.deb 3.2.6 i386 Ubuntu Main
libgconf2-dev - - -

Requires

Name Value
gconf2 = 3.2.6-3ubuntu6
gir1.2-gconf-2.0 = 3.2.6-3ubuntu6
libdbus-1-dev >= 1.0.0
libgconf-2-4 = 3.2.6-3ubuntu6
libglib2.0-dev >= 2.31.0

Replaces

Name Value
gir-repository-dev << 0.6.5-7

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgconf2-dev_3.2.6-3ubuntu6_amd64.deb
Source Package gconf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgconf2-dev deb package:
    # sudo apt-get install libgconf2-dev

Files

Path
/usr/include/gconf/2/gconf/gconf-changeset.h
/usr/include/gconf/2/gconf/gconf-client.h
/usr/include/gconf/2/gconf/gconf-engine.h
/usr/include/gconf/2/gconf/gconf-enum-types.h
/usr/include/gconf/2/gconf/gconf-error.h
/usr/include/gconf/2/gconf/gconf-listeners.h
/usr/include/gconf/2/gconf/gconf-schema.h
/usr/include/gconf/2/gconf/gconf-value.h
/usr/include/gconf/2/gconf/gconf.h
/usr/lib/x86_64-linux-gnu/libgconf-2.a
/usr/lib/x86_64-linux-gnu/libgconf-2.so
/usr/lib/x86_64-linux-gnu/pkgconfig/gconf-2.0.pc
/usr/share/aclocal/gconf-2.m4
/usr/share/doc/libgconf2-dev/AUTHORS
/usr/share/doc/libgconf2-dev/NEWS.Debian.gz
/usr/share/doc/libgconf2-dev/NEWS.gz
/usr/share/doc/libgconf2-dev/README
/usr/share/doc/libgconf2-dev/TODO
/usr/share/doc/libgconf2-dev/changelog.Debian.gz
/usr/share/doc/libgconf2-dev/copyright
/usr/share/gir-1.0/GConf-2.0.gir

Changelog

2015-11-27 - Dimitri John Ledkov <xnox@ubuntu.com>
gconf (3.2.6-3ubuntu6) xenial; urgency=medium
* Fix gsettings-schema-convert pytwonisms.
2015-10-16 - Matthias Klose <doko@ubuntu.com>
gconf (3.2.6-3ubuntu5) wily; urgency=medium
* Call dh_python3 with --shebang=/usr/bin/python3. LP: #1440549.
2015-10-14 - Didier Roche <didrocks@ubuntu.com>
gconf (3.2.6-3ubuntu4) wily; urgency=medium
* update-gconf-defaults, gconf-schemas: encode and decode from UTF-8
to avoid postinst failing when schemas contain non ascii chars.
(LP: #1504442, #1406641)
2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com>
gconf (3.2.6-3ubuntu3) wily; urgency=medium
* No-change rebuild for python3.5 transition
2015-06-10 - Steve Langasek <steve.langasek@ubuntu.com>
gconf (3.2.6-3ubuntu2) wily; urgency=medium
[ Didier Roche ]
* Convert update-gconf-defaults and gconf-schemas to python3 (LP: #1440549)
* debian/{rules,control}: updated for python3
2014-11-03 - Iain Lane <iain@orangesquash.org.uk>
gconf (3.2.6-3ubuntu1) vivid; urgency=low
* Merge with Debian unstable, remaining changes:
+ don't package the gsettings backend since it's not meant to be
distributed
+ debian/patches/02_xml-gettext-domain.patch:
- use gettext from schemas translations
+ debian/patches/05_nodisplay_autostart.patch:
- Don't show in "Startup Applications"
+ debian/patches/06_onlyshowin_unity.patch:
- Add Unity to OnlyShowIn
+ debian/70gconfd_path-on-session, debian/gconf2-common.install:
- add additional gconf path depending on selected desktop session:
+ debian/gconf-schemas: Shrink the generated %gconf-tree.xml, by
filtering out locale specific defaults for uninstalled locales,
leading tabs, empty short descriptions, and mtimes (which aren't
interesting for system-wide defaults).
+ debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
- Declare a new trigger on /usr/share/GConf/gsettings to watch when
new gsettings convert files are installed.
+ debian/default.path, debian/gconf2-common.dirs:
- drop old compatibility path from intrepid, that was required until
lucid
+ Split gconf-service further into gconf-service and gconf-service-backend,
one package being Multi-Arch: foreign and the other Multi-Arch: none, so
that we correctly handle the fact that gconf2 needs backend modules of
the same arch whereas other reverse-dependencies just need a working
daemon.
+ debian/patches/0001-Support-s-to-as-migrations-v2.patch: Support 's' to
'as' migrations
+ debian/patches/call-dbus_g_thread_init.patch
- Initialize dbus threads before doing anything. This fixes crashes in
multithreaded applications that don't use libdbus directly.
+ debian/patches/reduce-polling.patch
- Call the cleanup routine every minute, instead of twice per minute, to
reduce wakeups and therefore power usage.
2014-08-26 - Andreas Henriksson <andreas@fatal.se>
gconf (3.2.6-3) unstable; urgency=medium
* Team upload.
[ Fernando Seiti Furusato ]
* Use dh-autoreconf. Closes: #746690.

See Also

Package Description
libgconf2-doc_3.2.6-3ubuntu6_all.deb GNOME configuration database system (API reference)
libgcr-3-common_3.18.0-1ubuntu1_all.deb Library for Crypto UI related tasks - common files
libgcr-3-dev_3.18.0-1ubuntu1_amd64.deb Library for Crypto UI related tasks - development
libgcr-3-doc_3.18.0-1ubuntu1_all.deb Library for Crypto UI related tasks - documentation
libgcr-base-3-1_3.18.0-1ubuntu1_amd64.deb Library for Crypto related tasks
libgcr-ui-3-1_3.18.0-1ubuntu1_amd64.deb Library for Crypto UI related tasks
libgcrypt11-dev_1.5.4-3+really1.6.5-2_all.deb transitional libgcrypt11-dev package
libgcrypt20-dev_1.6.5-2_amd64.deb LGPL Crypto library - development files
libgcrypt20-doc_1.6.5-2_all.deb LGPL Crypto library - documentation
libgcrypt20_1.6.5-2_amd64.deb LGPL Crypto library - runtime library
libgd-dev_2.1.1-4build2_amd64.deb GD Graphics Library (development version)
libgd-graph-perl_1.48-2_all.deb Graph Plotting Module for Perl 5
libgd-perl_2.53-2.1_amd64.deb Perl module wrapper for libgd
libgd-text-perl_0.86-9_all.deb Text utilities for use with GD
libgd3_2.1.1-4build2_amd64.deb GD Graphics Library
Advertisement
Advertisement